Summary: NSS library and PAM module for LDAP.
Name: nss_ldap
%define pam_ldap_version 46
Version: 107
Release: 1mdk
Source0: ftp://ftp.padl.com/pub/%{name}-%{version}.tar.bz2
Source1: ldap.conf
Source2: ftp://ftp.padl.com/pub/pam_ldap-%{pam_ldap_version}.tar.bz2
Patch0: nss_ldap-104-redhat.patch
Patch1: nss_ldap-104-pam_console.patch
Patch2: pam_ldap-43-redhat.patch
URL: http://www.padl.com/
Copyright: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: openldap-devel
Obsoletes: pam_ldap


%description
This package includes two LDAP access clients: nss_ldap and pam_ldap.
nss_ldap is a set of C library extensions which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install nss_ldap if you need LDAP access clients.

%prep
%setup -q -a 2
%patch0 -p1 -b .redhat
%patch1 -p1 -b .pam_console
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.fixtypo
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.pam_console

cd pam_ldap-%{pam_ldap_version}
%patch2 -p1 -b .redhat

%build
make COMPILERFLAGS="$RPM_OPT_FLAGS -fPIC" -f Makefile.RPM 

make -C pam_ldap-%{pam_ldap_version} -f Makefile.linux
{
  pushd pam_ldap-%{pam_ldap_version}
  mv README README.pam
  mv ChangeLog ChangeLog.pam
  popd
}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib}
make install -f Makefile.RPM
chmod +x $RPM_BUILD_ROOT/lib/*so
make install -C pam_ldap-%{pam_ldap_version} -f Makefile.linux
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/*
/usr/lib/*
%config(noreplace) /etc/ldap.conf
%doc ANNOUNCE README BUGS ChangeLog COPYING.LIB IRS
%doc nsswitch.ldap

%changelog
* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- merge with Nalin Dahyabhai'RH patchs
- update to nss_ldap 107
- update to pam_ldap 46
- change group

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppatch in Buildroot.
- changes in the description text.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.
- Fix building as user.

* Fri Oct 22 1999 Bill Nottingham <notting@redhat.com>
- statically link ldap libraries (they're in /usr/lib)

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- use the ldap.conf file as an external source
- don't forcibly build the support for version 3
- imported the default spec file from the tarball and fixed it up for RH 6.1
